Skip to main content
POST
Create a JavaScript SDK core extension

Authorizations

Authorization
string
header
required

Body

application/json

ExtendedCoreCreateRequest object

Body of a POST /v1/extended-cores request.

source_code
required

JavaScript source code for the extended core.

component_ids
string[]
component_references
object[]
enabled

Whether the extended core is enabled.

Response

Successful response

JavaScript SDK core extension source definition with build-time expressions.

component_ids
string[]
required
component_references
object[]
required
created_date
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"

enabled
required

Build-time expression that controls whether the extension is active.

id
string
required
read-only

Unique identifier for the JavaScript SDK core extension.

source_code
required

Build-time expression that resolves to the JavaScript source code injected into the SDK.

updated_date
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"